bind pub -|- !preinfo preinfo

proc preinfo {nick uhost hand chan args} {

set logfile "/glftpd/ftp-data/logs/glftpd.log"

set output [open $logfile r]
set count 0
set latestpre ""
set section ""
set mb ""
set mm ""
set dd ""
set yyyy ""
set time ""
set files ""


#Sun Jun 27 14:04:09 2004 PRE: "\[\002GROUP-PRE\002\]  \002GROUP\002 pre'd \002test\002 (1 cds, 0 file(s), 200.0 mb) into \002divx\002"
### Usually CUSTOM or PRE unless you changed in you pretools conf file
#######################################################################

set prevar "CUSTOM"

#######################################################################

while {![eof $output]} {
   foreach line [split $output "\n"] {
      set line "[gets $output]"
      
      set line [split $line " "]
      set group [lindex $args 0]
      if {[string match -nocase "*$prevar*-$group*" $line]} {
      regsub -all {\\002} $line {} line
         if {![string match -nocase "* 0.0*" $line]} {
            set count "[expr $count + 1]"
	    regsub -all {\"|\\002} [lindex $line 10] {} latestpre
	    regsub -all {\"|\\002} [lindex $line 18] {} section            
            regsub -all {\"|\\002} [lindex $line 13] {} files
            regsub -all {\"|\\002} [lindex $line 15] {} mb
            regsub -all {\"|\\002|\(} [lindex $line 11] {} cd
            set mm [lindex [split $line] 1]
            set dd [lindex [split $line] 2]
            set yyyy [lindex [split $line] 4]
            set time [lindex [split $line] 3]
         }
      } 
   }
}
putserv "PRIVMSG $chan :\[PRE-iNFO\]: "
putserv "PRIVMSG $chan :\002[string toupper $group]\002 has had \002$count\002 pre(s). "
putserv "PRIVMSG $chan :Latest Pre was: \002$latestpre\002 on $mm $dd $yyyy @ $time. "
putserv "PRIVMSG $chan :Pre'd in: \002[string toupper $section]\002 with (\002$cd\002cd(s) \002$files\002f \002$mb\002mb) "
}

putlog "PRE-iNFO Script by kulgan loaded..."

